var ns;
 var id=helper.request.queryString("id");
   var phone=helper.request.queryString("phone");
    	var objs={};
    	$.ajax({
    		type:"get",
    		url: huayi.config.callcenter_url + "CallInScreen/GetCurrUserDep",
			dataType: 'json',
			async: true,
			data: {
				token: $.cookie("token")
			},
			success: function(data) {
				if(data.state.toLowerCase()=='success'){
					if(data.data.groname=='客服组'){
						//console.log(data.data.groname)
						$('.customerService').show();	
						ns=1;
					}else{
						$('.market').show();
						ns=2;
					}
				}
			}
    });
       		 if(id){
              	$("#tel").val(phone);
              	$("#tel_market").val(phone);
              	$("#CallID").val(id);
             }
    	$(document).ready(function(){
    		//工单来源
    		getOrderSource('#orderSource');
            //工单类型
    	   getOrderType();
    	   //工单状态
             getOrderState();
         	 //来电单位   
            getAccount('#comeCall_dep');
//          getAccount('#comeCall_dep_market');
            getAccount('#feedbackDep');
//          getAccount('#feedbackDep_market');
  
  	//编辑器配置
 KindEditor.ready(function(K) {
                window.changeEditor = K.create('#feedBackCon');//修改弹出框编辑器
        })
            //保存
            
            $('.customerSubmit').click(function(){
            	saveCustomer();
            })
            $('.marketSubmit').click(function(){
            	saveMarket();
            })
            
    	})
    	//工单类型
        function getOrderType() {
			$.get(huayi.config.callcenter_url + 'WorkType/GetTreeList', {
				"token": $.cookie("token"),
			}, function(result) {
				result = $.parseJSON(result);
				$.fn.zTree.init($("#TreeDemo"), setting3, result.data); //实例化树形图
			});
		}
        var setting3 = {
			data: {
				key: {
					name: "text"
				},
				simpleData: {
					enable: true,
					idKey: "id",
					rootPId: 0
				}
			},
			callback: {
				onClick: changeTreeClick
			}
		}
        
    	function changeTreeClick(event, treeId, treeNode) {
			var chanId = treeNode.id;
			var changeName = treeNode.text;
			$('#typeclass').val(changeName);
			$('#typeclassId').val(chanId);
			var pidnode = treeNode.getParentNode();
			$('.addTree').hide();
		};
    
        $('.down').click(function(){
        	if($('.treeList').css('display') == 'block') {
			$('.treeList').css('display', 'none')
		} else {
			$('.treeList').css('display', 'block')
		}
        })
        $('#typeclass').click(function() {
			$('.treeList').css('display', 'block')
		})
        $('.treeList').mouseleave(function() {
			$(this).css('display', 'none')
		})
    	
    	//工单状态
    	function getOrderState(){
    		
			$.ajax({
                url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
                type:'get',
                async:true,
                data: {
					flag:'GDZT',
                    token: $.cookie("token")
                },
                dataType: "json",
                success: function (res) {
                	if(res.state=="success"){
                		//console.log(res.data);
                		$('<option value="">全部</option>').appendTo($("#State"));
                		$(res.data).each(function(i,n){
                			if(n.F_DictionaryValueId=='472'){
                				$('<option value="' + n.F_DictionaryValueId + '" selected="selected">' + n.F_Name + '</option>').appendTo($("#State"));
                			}else{
                				$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#State"));	
                			}
                		})
//              		
                	}

                }
    	})
			}
		//工单来源
		function getOrderSource(obj) {
			$.ajax({
				type: "get",
				url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
				dataType: 'json',
				async: true,
				data: {
					token: $.cookie("token"),
					flag :"GDLY"
				},
				success: function(data) {
					var Count = data.data;
					$('<option value="">全部</option>').appendTo($("#DicValueList"));
                		$(Count).each(function(i,n){
                			if(n.F_DictionaryValueId=="468"){
                				$('<option value="' + n.F_DictionaryValueId + '" selected="selected">' + n.F_Name + '</option>').appendTo($("#DicValueList"));
                			}else{
                				$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#DicValueList"));
                			}
                			
                		})
				}
			});
		}
       //来电单位  
		function getAccount(obj) {
			$.ajax({
				type: "get",
				url: huayi.config.callcenter_url + "Customer/BindLDdep",
				dataType: 'json',
				async: true,
				data: {
					token: $.cookie("token")
				},
				success: function(data) {
					var Count = data.data.dep;
					$(Count).each(function(i,n){
						$("<option value='" + n + "'>" + n + "</option>").appendTo($(obj));
					})
//					$(obj).selectpicker('refresh');
				}
			});
		
		}
		
		function saveCustomer(){
			if($('#name').val()==''){
					layer.confirm('请输入姓名！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#tel').val()==''){
					layer.confirm('请输入电话！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#testInput1').val()==''){
					layer.confirm('请选择来电单位！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#testInput2').val()==''){
					layer.confirm('请选择反馈单位！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#orderSource').val()==''){
					layer.confirm('请选择工单来源！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#State').val()==''){
					layer.confirm('请选择工单状态！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#typeclassId').val()==''){
					layer.confirm('请选择工单类型！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			$.ajax({
				type: "post",
				url: huayi.config.callcenter_url + "CallInScreen/AddWorkOrder",
				dataType: 'json',
				async: true,
				data: {
					token: $.cookie("token"),
					callCustomer:$('#name').val(),//姓名
					tel:$('#tel').val(),//号码
					lddep:$('#testInput1').val(),//来电单位
					fkdep:$('#testInput2').val(),//反馈单位
					gdly:$('#DicValueList').val(),//工单来源
					gdlx: $('#typeclassId').val(),//工单类型id
					gdzt:$('#State').val(),//工单状态id  
					province:$("#Province").val(),
					fkcont:encodeURIComponent(changeEditor.html()),//反馈内容    
					sendmsg:$('#express').val() ,//快递信息     
					note1: $('#remark1').val(),//备注一     
					note2: $('#remark2').val(),//备注二     
					note3: $('#remark3').val(),//备注三    
					 callid:$("#CallID").val()
				},
				success: function(data) {
					if(data.state.toLowerCase()=='success'){
						layer.msg("保存成功！");
						clear();
					}
				}
			});
		
			
		}
		function saveMarket(){
			if($('#name_market').val()==''){
					layer.confirm('请输入姓名！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#tel_market').val()==''){
					layer.confirm('请输入电话！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			if($('#LDunit_').val()==''){
					layer.confirm('请选择来电单位！', {
					icon: 2,
					btn: ['确定']
				});
				return;
			}
			$.ajax({
				type: "post",
				url: huayi.config.callcenter_url + "CallInScreen/AddWorkOrder",
				dataType: 'json',
				async: true,
				data: {
					token: $.cookie("token"),
					callCustomer:$('#name_market').val(),//姓名
					tel:$('#tel_market').val(),//号码
					lddep:$('#LDunit_').val(),//来电单位
					fkdep:$('#FKunit_').val(),//反馈单位
					fkcont:$('#remark_market').val(),//反馈内容
					 callid:$("#CallID").val()
				},
				success: function(data) {
					if(data.state.toLowerCase()=='success'){
						layer.msg("保存成功！");
						clear();
					}
				}
			});
		
			
		}
        
        function clear(){
        	if(ns==1){
        		$('#name').val('');
				$('#tel').val('');//号码
				$('#testInput1').val('');//来电单位
				$('#testInput2').val('');//反馈单位
				$('#orderSource').val('');//工单来源
				$('#typeclassId').val('');//工单类型id
				$('#State').val('');//工单状态id   
				$('#feedBackCon').val('');//反馈内容    
				$('#express').val('');//快递信息     
				$('#remark1').val('');//备注一     
				$('#remark2').val('');//备注二     
				$('#remark3').val('');//备注三    
				$('#typeclass').val('');
				changeEditor.html('');
        	}else{
        		$('#name_market').val('');
				$('#tel_market').val('');//号码
				$('#testInput3').val('');//来电单位
				$('#testInput4').val('');//反馈单位
				$('#remark_market').val('');//备注内容
        	}
        	
        }